List documents
curl --request GET \
--url https://api.ryvo.so/v1/knowledge/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ryvo.so/v1/knowledge/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ryvo.so/v1/knowledge/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "9b1c2d3e-4f50-4a6b-8c7d-0e1f2a3b4c5d",
"title": "Price list 2026.pdf",
"source": "upload",
"source_url": null,
"mime": "application/pdf",
"bytes": 184320,
"status": "ready",
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auto_refresh": true,
"last_refreshed_at": "2023-11-07T05:31:56Z",
"last_refresh_error": "<string>",
"chunks": 37,
"agents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "eyJvIjoyMH0"
}{
"error": "invalid_query",
"message": "limit must be an integer between 1 and 100.",
"request_id": "f0c0a9d2-8b1e-4d8a-9c2f-6e5b7a1d2c3b"
}{
"error": "unauthorized",
"message": "Invalid or revoked API key.",
"request_id": "f0c0a9d2-8b1e-4d8a-9c2f-6e5b7a1d2c3b"
}{
"error": "plan_limit",
"message": "Knowledge base requires the Engine module on your plan.",
"request_id": "f0c0a9d2-8b1e-4d8a-9c2f-6e5b7a1d2c3b"
}{
"error": "rate_limit_exceeded",
"message": "Rate limit exceeded. Retry in 32s (see the Retry-After header).",
"request_id": "f0c0a9d2-8b1e-4d8a-9c2f-6e5b7a1d2c3b"
}Knowledge base
List documents
The documents of the knowledge base, newest first, with the agents that use each one.
GET
/
v1
/
knowledge
/
documents
List documents
Autorizaciones
A Bearer token. Create keys in the portal under Settings > API keys
(https://app.ryvo.so/developers). The token has the form
ryvo_live_<64 hex characters> and is shown once.
Header: Authorization: Bearer ryvo_live_...
Parámetros de consulta
Page size, 1 to 100. Default 20.
Rango requerido:
1 <= x <= 100The next_cursor of the previous page. Opaque.
Ejemplo:
"eyJvIjoyMH0"
Opciones disponibles:
processing, ready, error Ejemplo:
"ready"
Opciones disponibles:
upload, url Ejemplo:
"upload"
Respuesta
A page of documents.

